import { ElementRef } from "@angular/core";
import * as i0 from "@angular/core";
export declare class QMSAppBar {
    private elRef;
    constructor(elRef: ElementRef);
    mode: string;
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSAppBar, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSAppBar, "[qms-app-bar]", never, { "mode": { "alias": "mode"; "required": false; }; }, {}, never, never, false, never>;
}
